-- Blinkende LEDs
--
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use ieee.std_logic_unsigned.all;

entity led_blink is
    Port (
		   clk : in  STD_LOGIC;
           led0 : out  STD_LOGIC;
           led7 : out  STD_LOGIC
		  );
end led_blink;

architecture Behavioral of led_blink is
signal cntr : std_logic_vector(27 downto 0);
begin
  process (clk)
  begin
    if rising_edge(clk) then
	   cntr <= cntr + 1;
	 end if;
  end process;
  led0 <= cntr(27);
  led7 <= not cntr(27);
end Behavioral;

